using System;

class Drugi_Zadatak
{
    static void Main()
    {
        int t = int.Parse(Console.ReadLine());
        Int64 n, banane, k;
        string[] ispis = new string[t];

        for (int i = 0; i < t; i++) {
            string[] niska = Console.ReadLine().Split(); n = Int64.Parse(niska[0]); banane = Int64.Parse(niska[1]); k = Int64.Parse(niska[2]);
            if (k == 1) {
                if (n + 1 > 2 * banane / n) { ispis[i] = "Nie"; }
                else { ispis[i] = "Tak"; }
            }
            else if (k == 2) {
                if (n % 2 == 0) {
                    if ((n + 2) / 2 > 2 * banane / n) { ispis[i] = "Nie"; }
                    else { ispis[i] = "Tak"; }
                }
                else {
                    if ((n + 2) / 2 > (2 * banane) / (n + 2)) { ispis[i] = "Nie"; }
                    else { ispis[i] = "Tak"; }
                }
            }
            else if (k < (Math.Ceiling(n / 2.0))) {
                Int64 delj = n / k;
                Int64 ost = n % k;
                if ((k * delj * (delj + 1) / 2) > banane - (ost * (delj + 1))) { ispis[i] = "Nie"; }
                else { ispis[i] = "Tak"; }
            }
            else{
                if (n + n > banane + k) { ispis[i] = "Nie"; }
                else { ispis[i] = "Tak"; }
            }
        }
        foreach (string odgovor in ispis) { Console.WriteLine(odgovor); }
    }
}